

.__3D-carousel-wrapper {
    width: 90vw;
    max-width: 400px;
    height: 500px;
    position: relative;
    perspective: 1500px;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.6s ease;
    display: flex;
    /* Deixe sempre 'flex', o controle será por opacidade/visibilidade */
}

.__3D-carousel-wrapper.show {
    opacity: 1;
    visibility: visible;
}

.__3D-carousel {
    position: relative;
    width: 100%;
    height: 100%;
}

.__3D-card {

    backface-visibility: hidden;
    transform-style: preserve-3d;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 600px;
    border-radius: 16px;
    background: #222;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    transition: transform 0.7s ease-in-out, opacity 0.7s ease-in-out;
    opacity: 0;
    transform: perspective(800px) rotateY(25deg) translateY(80px) translateX(-20px) scale(0.85);
    z-index: 1;
    pointer-events: none;
}


.__3D-card.__3D-active {
    opacity: 1;
    will-change: transform, opacity;
    z-index: 3;
    pointer-events: auto;
}

.__3D-card.__3D-flipIn {
    opacity: 1;
    will-change: transform, opacity;
    transform: perspective(800px) rotateY(0deg) translateY(0) translateX(0) scale(1);
    overflow: visible !important;


}

.__3D-card.__3D-left {
    opacity: 0.1;
    transform: perspective(800px) rotateY(10deg) translateX(-40%) translateY(40px) scale(0.85);
    z-index: 2;
}

.__3D-card.__3D-right {
    opacity: 0.1;
    transform: perspective(800px) rotateY(-10deg) translateX(40%) translateY(40px) scale(0.9);
    z-index: 2;
}


.data-3d {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: rgba(0, 0, 0, 0.4);
    width: 100%;
    height: 50px;
}

.__3D-card.__3D-fading {
    opacity: 0 !important;
    transform: scale(0.9);
    z-index: 1;
}


.__3D-card.__3D-video-card {
    display: none;
}

.__3D-card.__3D-video-card.__3D-active {

    display: flex;
}




.Welcome {
    text-align: center;
    font-family: "Ibarra Real Nova", serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 800;
    font-size: 25px;
}


.light-mode .Welcome{
    color: white;
    text-align: center;
    font-family: "Ibarra Real Nova", serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 800;
    font-size: 25px;
}

.lorem_p_introduction {
    padding: 15px;
    text-align: justify;
    font-family: "Ibarra Real Nova", serif;
    font-size: 1.2rem;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 8px;
    line-height: 33px;

}

.light-mode .lorem_p_introduction{
    color: white;
}

.lorem_p_introduction-for-water {

    border-radius: 5px;
    padding: 10px;
    text-align: justify;
    font-family: "Grey Qo", cursive;
    font-size: 1.7rem;
}



.button-action-container {
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
    height: 70px;
}

.button-watch-card {
    background-color: #3f250ea1;
    color: #ffffff;
    font-size: 900;
    font-size: 17px;
    padding: 10px;
    width: 200px;
    height: 50px;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Domine", serif;
}


.container-elementos-introduction-for-translate {
    transform: translateY(70%);
    will-change: transform;
 
    transition: transform 0.7s ease-in-out;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}



.light-mode .pink-radius {
    background-image: linear-gradient(to bottom, #F28A2E, #440000);
    
    box-shadow: 1px 1px 1px 1px #000000;

}

.light-mode .blue-radius {
    background-image: linear-gradient(to bottom, #ff0080, #af4c7e);
  
    box-shadow: 1px 1px 1px 1px #000000;

}

